Update Resident: Entrata

Update Resident: Entrata | Method | |---| | customers/updateCustomers | | leads/updateLeads |

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The Propexo unique identifier for the resident

Request

This endpoint expects an object.
first_namestringOptional
The first name of the resident. This value maps to the firstName property of the Customer object
middle_namestringOptional
The middle name of the resident. This value maps to the middleName property of the Customer object
last_namestringOptional
The last name of the resident. This value maps to the lastName property of the Customer object
email_1stringOptionalformat: "email"
The primary email address for the resident. This value maps to the email property of the Customer object
date_of_birthstringOptionalformat: "date-time"
The date of birth of the resident. This value maps to the birthDate property of the Customer object.
address_1stringOptional
The first address line associated with the resident
address_2stringOptional
The second address line associated with the resident
citystringOptional
The city associated with the resident
statestringOptional
The state associated with the resident
zipstringOptional
The zip code associated with the resident
countrystringOptional
The country associated with the resident
phone_1stringOptional
The primary phone number for the resident.
eventslist of objectsOptionalDeprecated

DEPRECATED: Please use /events endpoints to write events. Array of events associated with this resident

custom_dataobjectOptionalDeprecated

Deprecated: Field is no longer applicable

Response

Successful response
metaobject
resultobject

Errors